Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » M2T (model-to-text transformation) » Acceleo installation in Luna Modeling Tools
Acceleo installation in Luna Modeling Tools [message #1391825] Tue, 01 July 2014 13:17 Go to next message
Martin Paquin is currently offline Martin PaquinFriend
Messages: 3
Registered: July 2014
Junior Member
Hello,

I have not been able to install Acceleo in Eclipse Luna Modeling platform

Acceleo version: 3.5.0.201406101309 org.eclipse.acceleo.feature.group

An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
session context was:(profile=epp.package.modeling, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
Error reading signed content.
error in opening zip file

I am installing on OS X 10.9.3
Java version: java version "1.7.0_45"
Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)

Eclipse Modeling Tools

Version: Luna Release (4.4.0)
Build id: 20140612-0600

Do somebody have installed in similar configuration. Do I miss something?
Re: Acceleo installation in Luna Modeling Tools [message #1391855 is a reply to message #1391825] Tue, 01 July 2014 14:05 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 7648
Registered: July 2009
Senior Member
Hi

There should be mopre error log messages.

You haven't identified where you were installing from. Luna repo.
Acceleo repo. MarketPlace ...

There was an XML error in the OCL 5.0.0 and 5.0.1 project-specific
releases repo that was fixed yesterday. This had strange knock on
effects, but I would not expect you to be using the erroneous repos.

Regards

Ed Willink


On 01/07/2014 14:43, Martin Paquin wrote:
> Hello,
>
> I have not been able to install Acceleo in Eclipse Luna Modeling platform
>
> Acceleo version: 3.5.0.201406101309 org.eclipse.acceleo.feature.group
>
> An error occurred during the
> org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
> session context was:(profile=epp.package.modeling,
> phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust,
> operand=, action=).
> Error reading signed content.
> error in opening zip file
>
> I am installing on OS X 10.9.3 Java version: java version "1.7.0_45"
> Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
> Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)
>
> Eclipse Modeling Tools
>
> Version: Luna Release (4.4.0)
> Build id: 20140612-0600
>
> Do somebody have installed in similar configuration. Do I miss something?
Re: Acceleo installation in Luna Modeling Tools [message #1391858 is a reply to message #1391855] Tue, 01 July 2014 14:11 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 7648
Registered: July 2009
Senior Member
Hi

I just used Help->Install Modeling Compoents for Acceleo on a fresh
Modeling EPP on Win x64 without any problem.

Regards

Ed Willink

On 01/07/2014 15:05, Ed Willink wrote:
> Hi
>
> There should be mopre error log messages.
>
> You haven't identified where you were installing from. Luna repo.
> Acceleo repo. MarketPlace ...
>
> There was an XML error in the OCL 5.0.0 and 5.0.1 project-specific
> releases repo that was fixed yesterday. This had strange knock on
> effects, but I would not expect you to be using the erroneous repos.
>
> Regards
>
> Ed Willink
>
>
> On 01/07/2014 14:43, Martin Paquin wrote:
>> Hello,
>>
>> I have not been able to install Acceleo in Eclipse Luna Modeling
>> platform
>>
>> Acceleo version: 3.5.0.201406101309 org.eclipse.acceleo.feature.group
>>
>> An error occurred during the
>> org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
>> session context was:(profile=epp.package.modeling,
>> phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust,
>> operand=, action=).
>> Error reading signed content.
>> error in opening zip file
>>
>> I am installing on OS X 10.9.3 Java version: java version "1.7.0_45"
>> Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
>> Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)
>>
>> Eclipse Modeling Tools
>>
>> Version: Luna Release (4.4.0)
>> Build id: 20140612-0600
>>
>> Do somebody have installed in similar configuration. Do I miss
>> something?
>
Re: Acceleo installation in Luna Modeling Tools [message #1391982 is a reply to message #1391858] Tue, 01 July 2014 17:56 Go to previous message
Martin Paquin is currently offline Martin PaquinFriend
Messages: 3
Registered: July 2014
Junior Member
I have make a new install. Here how I proceeded.

Wrong install:
java version "1.7.0_45"
Install Eclipse Modeling Tools
Version: Luna Release (4.4.0)
Build id: 20140612-0600

I had install these components in this order:
Papyrus
ATL
Try to install modisco, got same error as Acceleo
Try to install Acceleo.

Successfull install:
Install java 8
java version "1.8.0_05"
Java(TM) SE Runtime Environment (build 1.8.0_05-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.5-b02, mixed mode)

Re install Eclipse luna modeling tools
Install Modisco
Install Acceleo
Install Atl
Install Acceleo
Install Papyrus

No errors.

[Updated on: Tue, 01 July 2014 17:56]

Report message to a moderator

Previous Topic:[Acceleo] Referencing different UML diagrams in a transformation
Next Topic:[Acceleo] IllegalValueException
Goto Forum:
  


Current Time: Sat Feb 24 10:46:25 GMT 2024

Powered by FUDForum. Page generated in 0.02467 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top